PCLViewer Class Reference

`#include </build/pcl-6_P28C/pcl-1.7.2/doc/tutorials/content/sources/qt_visualizer/pclviewer.h>`

Inheritance diagram for PCLViewer:

## Public Slots

void | randomButtonPressed ()
void | RGBsliderReleased ()
void | pSliderValueChanged (int value)
void | redSliderValueChanged (int value)
void | greenSliderValueChanged (int value)
void | blueSliderValueChanged (int value)

## Public Member Functions

| PCLViewer (QWidget *parent=0)
| ~PCLViewer ()

## Protected Attributes

boost::shared_ptr< pcl::visualization::PCLVisualizer > | viewer
PointCloudT::Ptr | cloud
unsigned int | red
unsigned int | green
unsigned int | blue

## Detailed Description

Definition at line 25 of file pclviewer.h.

## Constructor & Destructor Documentation

PCLViewer::PCLViewer | ( | QWidget * | parent = `0` | ) |

explicit

PCLViewer::~PCLViewer | ( |  | ) |

## Member Function Documentation

void PCLViewer::blueSliderValueChanged | ( | int | value | ) |

slot

void PCLViewer::greenSliderValueChanged | ( | int | value | ) |

slot

void PCLViewer::pSliderValueChanged | ( | int | value | ) |

slot

void PCLViewer::randomButtonPressed | ( |  | ) |

slot

void PCLViewer::redSliderValueChanged | ( | int | value | ) |

slot

void PCLViewer::RGBsliderReleased | ( |  | ) |

slot

## Member Data Documentation

unsigned int PCLViewer::blue

protected

Definition at line 58 of file pclviewer.h.

PointCloudT::Ptr PCLViewer::cloud

protected

Definition at line 54 of file pclviewer.h.

unsigned int PCLViewer::green

protected

Definition at line 57 of file pclviewer.h.

unsigned int PCLViewer::red

protected

Definition at line 56 of file pclviewer.h.

boost::shared_ptr<pcl::visualization::PCLVisualizer> PCLViewer::viewer

protected

Definition at line 53 of file pclviewer.h.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/doc/tutorials/content/sources/qt_visualizer/pclviewer.h